%define oname kmobiletools
%define libname %mklibname kmobiletools 0
%define libdev %mklibname kmobiletools 0 -d
%define betaver beta3

Name: kde3-kmobiletools
Version: 0.5.0
Release: %mkrel -c %{betaver} 11
Summary: Kde tools to manage mobile phone
License: GPL
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: http://download.berlios.de/kmobiletools/%{oname}-%{version}-%{betaver}.tar.bz2
Patch0: kmobiletools-0.5.0-beta3-soname.patch
URL: http://www.kmobiletools.org
BuildRequires: kdepim3-devel
BuildRequires: gettext
BuildRequires: kdebluetooth-devel
BuildRequires: libxml2-devel 
BuildRequires: doxygen 
BuildRequires: obexftp-devel 
Requires: bluez
Requires: kdebluetooth
Conflicts: %{mklibname kmobiletools -d} < 0.5.0-0.beta3.6

%description
KMobileTools is a nice KDE-based application that allows 
to control mobile phones with your PC.
It handles full SMS control, dialing calls, 
reading from phonebook, last dials, 
received and unanswered calls 
and phone status monitoring (battery and signal for now).
It's based on a Motorola C350 mobile phone, 
but's also tested on some Nokia and Ericsson phones.

%if %mdkversion < 200900
%post
%update_menus
%update_kde3_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_kde3_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING TODO VERSION AUTHORS README README.urpmi
%attr(0755,root,root) %{_kde3_bindir}/*
%{_kde3_iconsdir}/*/*/*/*
%{_kde3_datadir}/applications/kde/*.desktop
%{_kde3_datadir}/services/*.desktop
%{_kde3_datadir}/services/*.protocol
%{_kde3_datadir}/services/kontact/*.desktop
%{_kde3_datadir}/servicetypes/kmobiletoolsengine.desktop
%{_kde3_appsdir}/*
%{_kde3_libdir}/kde3/*
%{_kde3_libdir}/libkmobiletools_at.*
%exclude  %_kde3_datadir/services/obex2.protocol
%exclude %_kde3_libdir/kde3/kio_obex2.*

#--------------------------------------------------------------

%package -n %libname
Summary: Development files for kmobiletools
Group: Development/KDE and Qt

%description -n %libname
This package contains the -n %libnameopment files for kmobiletools,
which could be used to build upon it.

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%doc COPYING VERSION AUTHORS README
%{_kde3_libdir}/*.so.*

#--------------------------------------------------------------

%package -n %libdev
Summary: Development files for kmobiletools
Group: Development/KDE and Qt
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel < 0.5.0
Conflicts: %name < 0.5.0-0.beta3.4
Obsoletes: %{mklibname -d kmobiletools} < %version-%release

%description -n %libdev
This package contains the development files for kmobiletools,
which could be used to build upon it.

%files -n %libdev
%doc COPYING VERSION AUTHORS README
%{_kde3_includedir}/kmobiletools
%_kde3_libdir/libkmobiletools.so
%_kde3_libdir/libkmobiletools.la

#--------------------------------------------------------------

%prep
%setup -q -n%{oname}-%{version}-%{betaver}
%patch0 -p1

%build
make -f admin/Makefile.common

export CPPFLAGS="${CPPFLAGS} %{optflags} -I%_includedir/gammu"

%configure_kde3 \
	--enable-kioslaves

%make

%install
rm -rf %buildroot
%{makeinstall_std}


%find_lang %name %oname kio_obex kmtsetup kserialdeviceemulator kbluetoothpairingwizard

cat > $RPM_BUILD_DIR/%{oname}-%{version}-%{betaver}/README.urpmi << EOF
If you want to learn about phone conection take a look at 
http://kmobiletools.berlios.de/ You can contact the author of KMobileTools 
to get help or give feedback.
Point your irc client to #kmobiletools on irc.freenode.net

For a Bluetooth connection:
type as root 

[root@MobileTuX]# service bluetooth start

[plouf@MobileTuX]$ sdptool browse
note the phone MAC adress and

root@MobileTuX]# rfcomm connect 0 00:0e:07:72:05:99 1

go to to kmobiletools configuration interface
and set phone mount point to /dev/rfcommO
and have fun 
EOF

%clean
rm -rf %{buildroot}


%changelog
* Thu Apr 23 2009 Frederic Crozat <fcrozat@mandriva.com> 0.5.0-0.beta3.11mdv2009.1
+ Revision: 368885
- Fix invalid dependency on kdebluetooth3

* Mon Mar 30 2009 Helio Chissini de Castro <helio@mandriva.com> 0.5.0-0.beta3.10mdv2009.1
+ Revision: 362746
- Rebuild to fix upgrade issues

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Fri May 09 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-0.beta3.8mdv2009.0
+ Revision: 205327
- rebuild for fixed rpm macro

* Fri May 09 2008 Helio Chissini de Castro <helio@mandriva.com> 0.5.0-0.beta3.7mdv2009.0
+ Revision: 204938
- Missing enable-kioslaves

* Fri May 09 2008 Funda Wang <fundawang@mandriva.org> 0.5.0-0.beta3.6mdv2009.0
+ Revision: 204843
- move to /opt
- move to /opt
- rename to kde3-kmobiletools

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix no-buildroot-tag

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.beta3.5mdv2008.1
+ Revision: 139104
- Drop gammu-devel BR because it ddes not build with latest gammu
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 01 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-0.beta3.4mdv2008.0
+ Revision: 94132
- move at.so into main package as it is not versioned
- fix bug#34374

* Thu Sep 06 2007 Helio Chissini de Castro <helio@mandriva.com> 0.5.0-0.beta3.3mdv2008.0
+ Revision: 81161
- Compile only against Gammu 1.10
- Remove duplicated obex ioslave
- Fixed invalid filelist

* Tue Jul 31 2007 Couriousous <couriousous@mandriva.org> 0.5.0-0.beta3.2mdv2008.0
+ Revision: 57133
- fix #32148

* Tue Jun 19 2007 Helio Chissini de Castro <helio@mandriva.com> 0.5.0-0.beta3.1mdv2008.0
+ Revision: 41567
- Added versioning patch. No more devel libs as libs
- Added proper soname on library
- Remove duplicated post entries
- We're keep saying, replying on mail list, and still same mistakes are done. Modules should go
  togheter with application, not library.
- Library is soname-less. Marco Gulino, kmobiletools maintainer was already contacted to know if
  this is intentional.
- Relayouting package to match all other kde packages on Mandriva
- import kmobiletools-0.4.3.3-2mdk

  + Funda Wang <fundawang@mandriva.org>
    - fix file list
    - More builldrequires
    - Introducet libname
    - Add devel package
    - fix file list
    - Conflict with kde4
    - BuildRequires kdepim-devel
    - New version


* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.4.3.3	-2
- Rebuild

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.3.3-1mdk
- New release 0.4.3.3

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.3.2-1mdk
- New release 0.4.3.2

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.3.1-9mdk
- Remove redundant buildRequires

* Tue Dec 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.3.1-8mdk
- Fix build for x86_64 by Anssi Hannula

* Fri Oct 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.3.1-7mdk
- Fix BuildRequires

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.4.3.1	-6
- Rebuild

* Sat May 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.4.3.1-5mdk
- Rebuild for new gcc

* Wed Apr 27 2005 Sebastien Savarin <plouf@mandriva.org> 0.4.3.1-4mdk
- 4mdk to force upload in x_86-64

* Sun Apr 24 2005 Sebastien Savarin <plouf@mandriva.org> 0.4.3.1-3mdk
- Fix Build on AMD 64

* Sun Apr 10 2005 Sebastien Savarin <plouf@mandrake.org> 0.4.3.1-2mdk
- Fix buildRequires

* Mon Mar 21 2005 Sebastien Savarin <plouf@mandrake.org> 0.4.3.1-1mdk
- New release 0.4.3.1

* Mon Mar 21 2005 Sebastien Savarin <plouf@mandrake.org> 0.4.3-1mdk
- New release 0.4.3

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-0.beta2.1mdk
- 0.4.3 beta2

* Sat Feb 05 2005 Couriousous <couriousous@mandrake.org> 0.4.2-1mdk
- From: Sebastien Savarin <plouf@zarb.org> 
	- first release

